local badeline = nil

function onBegin()
 disableMovement()
 player.ForceCameraUpdate = true
 say("Somera_newLimbo_a_a_00_highWind")
 player.DummyAutoAnimate = false
  -- determine the position and flipping properties
  local pos_x, scale
  -- change to minus 18 and positive 1 if you want the badeline on the left
  pos_x = player.Position.X + 18
  scale = -1
  local pos_y = player.Position.Y - 8

  -- create and add a new badeline dummy entity
  badeline = celeste.BadelineDummy(vector2(pos_x, pos_y))
 badeline:Appear(getRoom(), true)
 getRoom():Add(badeline)
 player.Sprite:Play("sitDown")
 say("Somera_newLimbo_a_a_00_highWind2")
end

function onEnd(room, wasSkipped)
    enableMovement()
    teleportTo(-320, 1336, "b-00")
end